# Uses of Interface
javax.crypto.KDFParameters

Packages that use KDFParametersPREVIEW
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KDFParametersPREVIEW in javax.crypto

Methods in javax.crypto that return KDFParametersPREVIEW
Modifier and Type
Method
Description
`protected abstract KDFParametersPREVIEW`
KDFSpi.`engineGetParameters()`
Returns the `KDFParameters` used with this `KDF` object.
`KDFParametersPREVIEW`
KDF.`getParameters()`
Returns the `KDFParameters` used with this `KDF` object.
Methods in javax.crypto with parameters of type KDFParametersPREVIEW
Modifier and Type
Method
Description
`static KDFPREVIEW`
KDF.`getInstance(String algorithm, KDFParametersPREVIEW kdfParameters)`
Returns a `KDF` object that implements the specified algorithm and is initialized with the specified parameters.
`static KDFPREVIEW`
KDF.`getInstance(String algorithm, KDFParametersPREVIEW kdfParameters, String provider)`
Returns a `KDF` object that implements the specified algorithm from the specified provider and is initialized with the specified parameters.
`static KDFPREVIEW`
KDF.`getInstance(String algorithm, KDFParametersPREVIEW kdfParameters, Provider provider)`
Returns a `KDF` object that implements the specified algorithm from the specified provider and is initialized with the specified parameters.
Constructors in javax.crypto with parameters of type KDFParametersPREVIEW
Modifier
Constructor
Description
`protected`
`KDFSpi(KDFParametersPREVIEW kdfParameters)`
The sole constructor.